Page MenuHomePhabricator

Always request an edit token before page edit
Closed, ResolvedPublic

Description

The hard-coded, non-authenticated edit token, +\, will go away soon, see T40417.

The apps should always request an edit token before sending the edit request, even when not logged in.

(I'm not sure if the iOS app already does this. I just submitted the same bug for the Android app (T153104) and assume the same is going on in the iOS app.)

Event Timeline

bearND created this task.Dec 13 2016, 6:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2016, 6:54 PM
JMinor triaged this task as Low priority.Dec 19 2016, 7:49 PM
Mhurd claimed this task.Jan 6 2017, 1:01 AM
Mhurd moved this task from Ready for Development to Doing on the iOS-app-v5.4.0-Hiking-Boot board.
bearND updated the task description. (Show Details)Jan 6 2017, 5:30 PM
JMinor closed this task as Resolved.Mar 2 2017, 11:50 PM